Bug 830912 - [ipa webui] Adding Role into Privilege is case sensitive, and lists Roles already added
[ipa webui] Adding Role into Privilege is case sensitive, and lists Roles alr...
Status: CLOSED DUPLICATE of bug 829435
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Martin Kosek
IDM QE LIST
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-11 12:06 EDT by Namita Soman
Modified: 2015-01-16 09:50 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-16 09:50:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Namita Soman 2012-06-11 12:06:18 EDT
Description of problem:
Add a Role to a Privilege - say - IT Security Specialist.
This is listed in lower case when viewing this privilege. Click to Add another Role, and IT Security Specialist is still listed (this is inconsistent with other Add member dialogs, where already added members are not listed).
But if helpdesk was the Role added, this behaviour is not seen, since the Role is in lowercase, and is recognized to be as added Role.

Version-Release number of selected component (if applicable):
ipa-server-2.2.0-16.el6.x86_64

How reproducible:
always

Steps to Reproduce:
1. Add a Role to a Privilege - say - IT Security Specialist.
2. Clock to Add another Role
  
Actual results:
IT Security Specialist is still listed

Expected results:
IT Security Specialist should not be listed.

Additional info:
If IT Security Specialist is chosen to be added - it will thorw an error as expected - This entry is already a member
Comment 2 Rob Crittenden 2012-06-12 10:22:38 EDT
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/2833
Comment 5 Martin Kosek 2015-01-16 09:50:12 EST
This has the same root cause as Bug 829435, closing as duplicate.

*** This bug has been marked as a duplicate of bug 829435 ***

Note You need to log in before you can comment on or make changes to this bug.